Subject: Re: Allow tests to pass in OpenSSL FIPS mode

From: Peter Eisentraut <[email-masked]>
Date: Wed, 8 Mar 2023 10:26:54 +0100

On 08.03.23 08:40, Tom Lane wrote:
> Peter Eisentraut <[email-masked]> writes:
>> On 05.03.23 00:04, Tom Lane wrote:
>>> I've gone through this and have a modest suggestion: let's invent some
>>> wrapper functions around encode(sha256()) to reduce the cosmetic diffs
>>> and consequent need for closer study of patch changes.  In the attached
>>> I called them "notmd5()", but I'm surely not wedded to that name.
> 
>> Do you mean create this on the fly in the test suite, or make it a new
>> built-in function?
> 
> The former --- please read my version of the patch.

Ok, that makes sense.  We have some other uses of this pattern in other 
test suites that my initial patch didn't cover yet, for example in 
src/test/subscripton, but we don't have expected files there, so the 
argument of reducing the diffs doesn't apply.